### A free/open-source library for quantitative finance

Public Types | Public Member Functions
TqrEigenDecomposition Class Reference

tridiag. QR eigen decomposition with explicite shift aka Wilkinson More...

`#include <ql/math/matrixutilities/tqreigendecomposition.hpp>`

List of all members.

## Public Types

enum | EigenVectorCalculation { WithEigenVector, WithoutEigenVector, OnlyFirstRowEigenVector }
enum | ShiftStrategy { NoShift, Overrelaxation, CloseEigenValue }

## Public Member Functions

| TqrEigenDecomposition (const Array &diag, const Array &sub, EigenVectorCalculation calc=WithEigenVector, ShiftStrategy strategy=CloseEigenValue)
const Array & | eigenvalues () const
const Matrix & | eigenvectors () const
Size | iterations () const

## Detailed Description

tridiag. QR eigen decomposition with explicite shift aka Wilkinson

References:

Wilkinson, J.H. and Reinsch, C. 1971, Linear Algebra, vol. II of Handbook for Automatic Computation (New York: Springer-Verlag)

"Numerical Recipes in C", 2nd edition, Press, Teukolsky, Vetterling, Flannery,

Tests:
  the correctness of the result is tested by checking it against known good values.